1.4 我可以使用最新的JavaScript语法吗?

答案是当然的。
最新的JavaScript语法,所有的浏览器都支持吗?
不是,只有较新的浏览器才支持最新的JavaScript语法,所以并不是所有的JavaScript语法浏览器都能支持
浏览器不支持怎么办?
浏览器不支持的话,是无法在浏览器上直接运行的。
那让我用最新的语法,不是坑我吗?
虽然不能直接运行,但是有一个叫“Babel”的工具,可以将最新的JavaScript语法代码编译成老的语法代码,因此就能跑起来啦
写JavaScript代码写完,还要用编译器,感觉不太舒服
习惯就会发现,与新语法带来的好处相比,额外的工具带来的麻烦不值得一提。与其去忍受旧的JavaScript的不良设计,还不如用最新最好的语法来写程序呢
学JavaScript的语法同时也要学叫“Babel”的工具,是不是很难呢?
不用担心,在本课程里,教的主要是基础语法,不需要学习这些工具。以后用到的时候,才会再教呢